This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 877938 - engine: Block changing monitors during vm hibernation
engine: Block changing monitors during vm hibernation
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.1
x86_64 Linux
high Severity high
: ---
: 3.2.0
Assigned To: Arik
Barak Dagan
virt
:
Depends On:
Blocks: 915537
  Show dependency treegraph
 
Reported: 2012-11-19 04:55 EST by Dafna Ron
Modified: 2015-09-22 09 EDT (History)
13 users (show)

See Also:
Fixed In Version: sf6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
logs (1.09 MB, application/x-gzip)
2012-11-19 04:55 EST, Dafna Ron
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 11537 None None None Never

  None (edit)
Description Dafna Ron 2012-11-19 04:55:13 EST
Created attachment 647643 [details]
logs

Description of problem:

I tried changing the monitor from vnc to spice during vm hibernation. 
although the change was made to db and engine log shows that RunVm is sent with spice, the vdsm runs createVm with vnc which crashes spice when we try to open the monitor. 

Version-Release number of selected component (if applicable):

si24.2
vdsm-4.9.6-43.0.el6_3.x86_64

How reproducible:

100%

Steps to Reproduce:
1. in two hosts cluster run a vm with vnc monitor
2. hibernate the vm
3. change monitor to spice
4. restore vm
5. try to open spice monitor
  
Actual results:

we fail to open monitor.
vdsm and libvirt show that the vm is run with vnc and engine log and db shows that we changed vnc to spice 

Expected results:

we should change monitor in vdsm as well. 

Additional info: logs

tested on these 3 vm's:

[root@gold-vdsd ~]# vdsClient -s 0 list table
77e21637-42a9-4ab5-aa20-de75b9b33c2c  23828  XP                   Up                                       
b8419107-a4a2-48b9-b82a-6d9a2fc50add  23410  RHEL6                Up                                       
8d33face-b5f1-42b3-8540-7879441a4e49  27081  hateya               Up
Comment 3 Simon Grinberg 2012-11-20 04:12:14 EST
What should be blocked is the option to change VM configuration while it is hibernated. 

Hibernate is save state to file, this means the VM must be started with the same configuration it had before the hibernate, or the inconsistent state may cause unpredictable behavior. 

Please move this to engine to block the change.
Comment 4 Dafna Ron 2012-11-20 04:14:59 EST
changed to engine
Comment 12 Oded Ramraz 2013-02-17 15:47:16 EST
Error:

LinuxPool-1:

    Failed updating the properties of the VM. This may be caused either by:
    1. The values selected are not appropriate for the VM; or
    2. Its values cannot be updated while the VM is in UP state (Please shut down the VM in order to modify properties such as CPU or cluster).

Verified sf7
Comment 13 Itamar Heim 2013-06-11 05:37:32 EDT
3.2 has been released
Comment 14 Itamar Heim 2013-06-11 05:37:43 EDT
3.2 has been released
Comment 15 Itamar Heim 2013-06-11 05:51:56 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.